﻿// Accord Statistics Library
// The Accord.NET Framework
// http://accord-framework.net
//
// Copyright © César Souza, 2009-2015
// cesarsouza at gmail.com
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

namespace Accord.Statistics.Models.Fields
{
    using System.Runtime.CompilerServices;
    using Accord.Statistics.Models;
    using Accord.Statistics.Models.Markov;
    using Accord.Statistics.Models.Markov.Hybrid;

    /// <summary>
    ///   Contains classes related to <see cref="ConditionalRandomField{T}">Conditional Random
    ///   Fields</see>, <see cref="HiddenConditionalRandomField{T}">Hidden Conditional Random
    ///   Fields</see> and their <see cref="Accord.Statistics.Models.Fields.Learning">learning
    ///   algorithms</see>.
    /// </summary>
    /// 
    /// <remarks>
    /// <para>
    ///   The namespace class diagram is shown below. </para>
    ///   <img src="..\diagrams\classes\Accord.Statistics.Models.Fields.png" />
    ///   
    /// <para>
    ///   Please note that class diagrams for each of the inner namespaces are 
    ///   also available within their own documentation pages.</para>
    /// </remarks>
    /// 
    /// <seealso cref="Accord.Statistics.Models"/>
    /// <seealso cref="Accord.Statistics.Models.Fields"/>
    /// <seealso cref="Accord.Statistics.Models.Fields.Learning"/>
    /// <seealso cref="Accord.Statistics.Models.Fields.Functions"/>
    /// 
    [CompilerGenerated]
    class NamespaceDoc
    {
    }
}
